From b2c3563c5d8598f43af3c6689760f24478aacb36 Mon Sep 17 00:00:00 2001
From: Sandro Tosi <morph@debian.org>
Date: Thu, 8 Oct 2015 10:22:09 -0700
Subject: =?UTF-8?q?converge=20upstream=20build=20system=20into=20Makefile?=
 =?UTF-8?q?=0APatch-Name:=2001=5Ffix=5Fmakefile?=

---
 Makefile | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

diff --git a/Makefile b/Makefile
index 777d447..4f2c806 100644
--- a/Makefile
+++ b/Makefile
@@ -1,24 +1,32 @@
-
-include $(shell uname -s).conf
-
-all: _Cg.$(SOEXT)
-
-cg_wrap.c: cg.i *.i
-	$(SWIG) -python $(INCLUDES) $<
-
-_Cg.$(SOEXT): cg_wrap.c
-	$(LINK) -o $@ $^ $(INCLUDES) $(LIBS)
-
-
-install: all
-	mkdir Cg
-	cp Cg.py Cg/__init__.py
-	python setup.py $@
-	rm -rf Cg
-
-clean:
-	rm -f _Cg.$(SOEXT) Cg.pyc Cg.py cg_wrap.c
-	rm -rf build dist
-
-.PHONY: clean dist
-
+#include $(shell uname -s).conf
+
+INCLUDES=-I/usr/include/$(PYTHON) -Iinclude -I.
+SWIG=swig
+LIBS=-lCgGL -lCg -lGL -l$(PYTHON)
+SOEXT=so
+COMPILE=gcc -fpic -g -Wall 
+LINK=gcc -fpic -g -Wall -shared
+
+builddir=build
+
+all: _Cg.$(SOEXT)
+
+cg_wrap.c: cg.i *.i
+	$(SWIG) -python $(INCLUDES) $<
+
+_Cg.$(SOEXT): cg_wrap.c
+	$(LINK) -o $@ $^ $(INCLUDES) $(LIBS)
+
+
+install: all
+	mkdir Cg
+	cp Cg.py Cg/__init__.py
+	python setup.py $@
+	rm -rf Cg
+
+clean:
+	rm -f _Cg.$(SOEXT) Cg.pyc Cg.py cg_wrap.c
+	rm -rf build dist
+
+.PHONY: clean dist
+
